<ion-header>
  <ion-toolbar color="primary">
    <ion-title>Add Customer</ion-title>
    <ion-buttons (click)="Resetpage()" slot="end" style="font-size: 1.8rem;">
      <ion-icon name="refresh"></ion-icon>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-card>
    <ion-card-content>
      <ion-row>
        <ion-col>
          <ion-item>
            <ion-label position="floating">Search Customer</ion-label>
            <ion-input formControlName="searchlead" (ionChange)="onsearch()" type="text">
            </ion-input>
          </ion-item>
        </ion-col>
      </ion-row>
      <ion-row *ngIf="leadskm">
        <ion-col>
          <ion-item float-left lines="none">
            <ion-button slot="start" color="primary" text-center [disabled]="isfirst" (click)="onPrevious()">Previous
            </ion-button>
          </ion-item>
        </ion-col>
        <ion-col>
          <ion-item float-right lines="none">
            <ion-button slot="end" color="primary" [disabled]="islast" text-center (click)="onNext()">
              &nbsp;&nbsp;&nbsp;&nbsp;Next&nbsp;&nbsp;&nbsp;&nbsp;</ion-button>
          </ion-item>
        </ion-col>
      </ion-row>
      <ion-item *ngFor="let item of leadskm; index as i" text-wrap style="font-size: small;">
        <!-- <ion-content scrollX="true"> -->
        <div style="width: 100%;">
          <ion-row>
            <ion-col size="2" (click)="onAddLead(item)">
              <ion-icon ios="ios-add-circle" md="md-add-circle" style="font-size: x-large;">
              </ion-icon>
            </ion-col>
            <ion-col size="8">
              <ion-label style="white-space: normal">
                {{ item.custname }}
              </ion-label>
              <ion-label style="font-size: small;">Address: {{ item.addressname }}</ion-label>
            </ion-col>
            <ion-col size="2">
              <ion-label style="white-space: normal">
                {{ item.km}} km
              </ion-label>
            </ion-col>
          </ion-row>
        </div>
        <!-- </ion-content> -->
      </ion-item>
      <ion-row *ngIf="leadskm">
        <ion-col>
          <ion-item float-left lines="none">
            <ion-button slot="start" color="primary" text-center [disabled]="isfirst" (click)="onPrevious()">Previous
            </ion-button>
          </ion-item>
        </ion-col>
        <ion-col>
          <ion-item float-right lines="none">
            <ion-button slot="end" color="primary" text-center [disabled]="islast" (click)="onNext()">
              &nbsp;&nbsp;&nbsp;&nbsp;Next&nbsp;&nbsp;&nbsp;&nbsp;</ion-button>
          </ion-item>
        </ion-col>
      </ion-row>
      <ion-row>
        <ion-col>
          <h5 ion-text class="text-primary">
            <ion-icon name="bookmarks"></ion-icon>Selected Customers:
          </h5>
        </ion-col>
      </ion-row>
      <ion-row>
        <div style="overflow-x:auto">
          <ion-grid>
            <ion-row nowrap>
              <ion-col nowrap>
                <ion-row nowrap>
                  <ion-col col-2 size="5" class="grid-header">Line Number</ion-col>
                  <ion-col size="6" class="grid-header">Customer</ion-col>
                  <ion-col size="6" class="grid-header">Address</ion-col>
                  <ion-col size="2" class="grid-header">Day</ion-col>
                  <ion-col size="6" class="grid-header" style="padding-left: 20px;">Date</ion-col>
                  <!-- <ion-col size="5" class="grid-header">Address Lat</ion-col> -->
                  <!-- <ion-col size="5" class="grid-header">Address Long</ion-col> -->
                  <ion-col size="4" class="grid-header">KM</ion-col>
                  <ion-col size="3" class="grid-header">Status</ion-col>
                </ion-row>
              </ion-col>
            </ion-row>
            <ion-row *ngFor="let data of selectedleadskm; index as i" nowrap>
              <ion-col nowrap>
                <ion-row nowrap>
                  <ion-col size="1" style="width: 100%; text-align: right;">
                    <ion-icon name="trash" (click)="removeLeads(data)" style="font-size: x-large;
          color: red;"></ion-icon>
                  </ion-col>
                  <ion-col size="4" class="forecast_div">{{i+1}}</ion-col>
                  <ion-col size="6" class="forecast_div">{{data.custname}}</ion-col>
                  <ion-col size="6" class="forecast_div">{{data.addressname}}</ion-col>
                  <ion-col size="2" class="forecast_div">{{data.day}}</ion-col>
                  <!-- <ion-col size="6" class="forecast_div">{{data.date}}</ion-col> -->
                  <ion-col size="6" class="forecast_div" style="padding-left: -10px !important;">
                    <!-- <ion-datetime placeholder="Select Date" [(ngModel)]="data.date"
                      [ngModelOptions]="{standalone: true}" displayFormat="DD-MM-YYYY" readOnly
                      style="margin-top: -10px;"></ion-datetime> -->
                      <ion-item>
                        <ion-input placeholder="Select Date" [value]="datefrom"></ion-input>
                        <ion-button fill="clear" id="open-date-input-1">
                          <ion-icon icon="calendar"></ion-icon>
                        </ion-button>
                        <ion-popover class="dateTimePopover" trigger="open-date-input-1" show-backdrop="false">
                          <ng-template>
                            <ion-datetime
                              #popoverDatetime2
                              [(ngModel)]="data.date"
                              [ngModelOptions]="{standalone: true}"
                              presentation="date"
                              showDefaultButtons="true"
                              (ionChange)="datefrom = formatDate(popoverDatetime2.value)"
                              style="margin-top: -10px;" readOnly
                            ></ion-datetime>
                          </ng-template>
                        </ion-popover>
                      </ion-item>

                  </ion-col>
                  <!-- <ion-col size="5" class="forecast_div">{{data.latitude}}</ion-col> -->
                  <!-- <ion-col size="5" class="forecast_div">{{data.longitude}}</ion-col> -->
                  <ion-col size="4" class="forecast_div">{{data.km}}</ion-col>
                  <ion-col size="3" class="forecast_div">{{data.status}}</ion-col>
                </ion-row>
              </ion-col>
            </ion-row>
          </ion-grid>
        </div>
      </ion-row>
    </ion-card-content>
  </ion-card>
  <ion-button expand="block" class="ion-margin-start ion-margin-end ion-margin-bottom btn-scheme" type="submit"
    [disabled]="!formaddplan.valid" (click)="onSave()">
    Save
  </ion-button>
</ion-content>